// Copyright Epic Games, Inc. All Rights Reserved.

// handle differences between ES and full GL shaders
#if PLATFORM_USES_GLES
precision highp float;
#else
// #version 120 at the beginning is added in FSlateOpenGLShader::CompileShader()
#extension GL_EXT_gpu_shader4 : enable
#endif

// uniform sampler2D WaveformTexture;

in vec4 Position;
in vec4 TexCoords;
in vec4 Color;
in vec4 SecondaryColor;
out vec4 fragColor;
void main()
{
	vec4 OutColor = vec4(0.262,1.000,0.217,1.000);
	// gl_FragColor = texture2D(WaveformTexture, TexCoords.xy);
	fragColor = TexCoords;
}
