﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "SChannelNode.h"
#include "SCompoundWidget.h"

class FPluginHost;
class FChannelNode;
class SChannelNode;
class FChannelInterface;
/**
 * 
 */
class ARONA_API SPluginHostChannelInterface : public SCompoundWidget
{
public:
	SLATE_BEGIN_ARGS(SPluginHostChannelInterface)
		{
		}

	SLATE_END_ARGS()

	/** Constructs this widget with InArgs */
	void Construct(const FArguments& InArgs, FPluginHost* InPluginHost);
private:
	TSharedPtr<SChannelNode> BuildChannelNode(FChannelNode* ChannelNode, SChannelNode::EChannelNodeType ChannelNodeType, int32 NodeNameIndex);

	FPluginHost* PluginHost = nullptr;
};
