﻿#pragma once
#include "PianoRollEditTool.h"

class FPianoRollEditTool_DragView : public FPianoRollEditTool
{
public:
	FPianoRollEditTool_DragView() : FPianoRollEditTool(EPianoRollToolType::DragView)
	{
	}

	virtual void OnActive(FPianoRollEdit& Edit) override;
	virtual void OnMouseButtonDown(FPianoRollEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnMouseMove(FPianoRollEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnBeginDrag(FPianoRollEdit& Edit, FVector2f InMouseStartPos) override;
private:
	TRange<AudioFrame> OriginalRange;
	FVector2f OriginalMousePos;
	float OriginalYOffset = 0;
};
