﻿#pragma once
#include "PlayListEditTool.h"

class FPlayListEditTool_Select : public FPlayListEditTool
{
public:
	FPlayListEditTool_Select() : FPlayListEditTool(EPlayListToolType::Select) {}

	virtual void Clear(FPlayListEdit& Edit) override;
	
	virtual void OnMouseMove(FPlayListEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnBeginDrag(FPlayListEdit& Edit, FVector2f InMouseStartPos) override;
	virtual void OnEndDrag(FPlayListEdit& Edit, FVector2f InMouseEndPos) override;
	virtual int32 OnPaint(const FPlayListEdit& Edit, const FPaintArgs& Args, const FGeometry& AllottedGeometry, const FSlateRect& MyCullingRect, FSlateWindowElementList& OutDrawElements, int32 LayerId, const FWidgetStyle& InWidgetStyle, bool bParentEnabled) const override;
private:
	bool RectSelecting = false;
	FVector2f MouseCurrentPos;
};
