﻿#pragma once
#include "Attribute.h"

class FTrackHeightManager
{
public:
	void SetTrackHeight(int32 TrackIndex, float Height) { ModifyTrackHeight.Add(TrackIndex, Height); } // 设置某个轨道的高度
	void ResetTrackHeight(int32 TrackIndex) { ModifyTrackHeight.Remove(TrackIndex); } // 重置某个轨道的高度
	int32 GetTrackIndexAt(float Height) const; // 从高度获取轨道索引
	float GetTrackHeight(int32 TrackIndex) const; // 轨道高度
	float GetTrackPos(int32 TrackIndex) const; // 轨道位置
	
	TAttribute<float> TrackHeight;
private:
	// TrackIndex -> TrackHeight
	TMap<int32, float> ModifyTrackHeight;
	TArray<int32> GetModifyBeforeTrackIndex(int32 TrackIndex) const;
};
