﻿#pragma once
#include "PatternInstance.h"

class FSamplePattern;

class FSamplePatternInstance : public FPatternInstance
{
public:
	FSamplePatternInstance(FSamplePattern* InOwner, int32 TrackIndex, AudioFrame InSamplePos, TRange<AudioFrame> InSampleRange);
	
	virtual void Process(AudioFrame InFramePos, AudioFrame FrameNum) override;

	FSamplePattern* GetInstanceOwner() const { return (FSamplePattern*)Owner; }
};
