﻿#include "PluginHost.h"

#include "Mixer/MixerTrack.h"

FPluginHost::FPluginHost()
{
	ChannelInterface = nullptr;
}

FPluginHost::~FPluginHost()
{
	for (FMixerTrack* OwnerTrack : OwnerTracks)
	{
		OwnerTrack->Effects.RemoveSingle(this);
	}
	
	IncomingMidi.clear();
	if (ChannelInterface)
		delete ChannelInterface;
}

void FPluginHost::ToggleEditor()
{
	
}
