// Copyright Epic Games, Inc. All Rights Reserved.

using System.IO;
using UnrealBuildTool;


public class Sndfile : ModuleRules
{
	public Sndfile(ReadOnlyTargetRules Target) : base(Target)
	{
		PublicIncludePaths.Add(ModuleDirectory);
		string LibDir = Path.Combine(ModuleDirectory, "lib");
		PublicAdditionalLibraries.Add(Path.Combine(LibDir, "sndfile.lib"));
		RuntimeDependencies.Add("$(BinaryOutputDir)/sndfile.dll", Path.Combine(LibDir, "sndfile.dll"));
	}
}
