﻿#pragma once
#include "CoreMinimal.h"
#include "Singleton/Singleton.h"

class FSingletonManager
{
public:
	static FSingletonManager& GetInstance()
	{
		static FSingletonManager Instance;
		return Instance;
	}
	static const char* GetName() { return "singleton_manager"; }
	void Init();
	void Release();

	void RegisterManager(ISingleton* Manager);
private:
	FSingletonManager();
	TArray<ISingleton*> Managers; 
};
