// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Framework/Commands/Commands.h"
#include "UI/Style/AronaStyle.h"

class ARONA_API FAronaModuleCommands : public TCommands<FAronaModuleCommands>
{
public:

	FAronaModuleCommands()
		: TCommands<FAronaModuleCommands>(TEXT("AronaModule"), NSLOCTEXT("Contexts", "AronaModule", "AronaModule application"), NAME_None, FAronaStyle::Get().GetStyleSetName())
	{
	}

	// TCommands<> interface
	virtual void RegisterCommands() override;
};