﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "SCompoundWidget.h"
#include "AudioBuffer/ChannelNode.h"

/**
 * 
 */
class ARONA_API SChannelNodeButton : public SCompoundWidget
{
public:
	SLATE_BEGIN_ARGS(SChannelNodeButton)
		{}

	SLATE_EVENT(FChannelNode::FChannelNodeDelegate, OnClickedDelegate)
	
	SLATE_END_ARGS()

	/** Constructs this widget with InArgs */
	void Construct(const FArguments& InArgs, FChannelNode* InChannelNode);

	FChannelNode::FChannelNodeDelegate OnClickedDelegate;
private:
	FChannelNode* ChannelNode = nullptr;
};
