﻿#pragma once
#include "PianoRollEditTool.h"

class FPianoRollEditTool_Select : public FPianoRollEditTool
{
public:
	FPianoRollEditTool_Select() : FPianoRollEditTool(EPianoRollToolType::Select)
	{
	}

	virtual void Clear(FPianoRollEdit& Edit) override;
	virtual void OnMouseButtonDown(FPianoRollEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnMouseButtonUp(FPianoRollEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnMouseMove(FPianoRollEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnEndDrag(FPianoRollEdit& Edit, FVector2f InMouseEndPos) override;
	
	virtual int32 OnPaint(const FPianoRollEdit& Edit, const FPaintArgs& Args, const FGeometry& AllottedGeometry, const FSlateRect& MyCullingRect, FSlateWindowElementList& OutDrawElements, int32 LayerId, const FWidgetStyle& InWidgetStyle, bool bParentEnabled) const override;
private:
	bool RectSelecting = false;
	FVector2f MouseCurrentPos;
};
