﻿#pragma once
#include "PlayListEditTool.h"

class FPlayListEditTool_Write : public FPlayListEditTool
{
public:
	FPlayListEditTool_Write() : FPlayListEditTool(EPlayListToolType::Write) {}

	virtual void Clear(FPlayListEdit& Edit) override;

	virtual void OnMouseButtonDown(FPlayListEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnMouseButtonUp(FPlayListEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
	virtual void OnMouseMove(FPlayListEdit& Edit, const FGeometry& MyGeometry, const FPointerEvent& MouseEvent) override;
private:
	void LeftMouseButton(FPlayListEdit& Edit);
	void RightMouseButton(FPlayListEdit& Edit);

	void UpdateTempSelector(FPlayListEdit& Edit, int32 NewTrackIndex, AudioFrame NewFrame);
	void UpdateSelector(FPlayListEdit& Edit, int32 NewTrackIndex, AudioFrame NewFrame);
	
	bool HasDeleteInstance = false;
	
	FPlayListSelector TempSelector;
};

