﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "SCompoundWidget.h"

/**
 * 
 */
class ARONA_API SMainWindowHeader : public SCompoundWidget
{
public:
	SLATE_BEGIN_ARGS(SMainWindowHeader)
		{
		}
	
	SLATE_EVENT(FSimpleDelegate, OnChannelRackClicked)
	SLATE_EVENT(FSimpleDelegate, OnMixerClicked)

	SLATE_END_ARGS()

	TOptional<float> GetProgress() const;
	/** Constructs this widget with InArgs */
	void Construct(const FArguments& InArgs);
private:
	FReply ToggleChannelRack();
	FReply ToggleMixer();
	
	FSimpleDelegate OnChannelRackClicked;
	FSimpleDelegate OnMixerClicked;
};
