﻿#pragma once

class FMidiMessageSequence;
class FMidiPattern;
struct FImageData;

namespace Thumbnail
{
	void GenerateMidiThumbnail(const FMidiMessageSequence* MidiMessageSequence, FImageData& Data);
	void GenerateMidiPatternThumbnail(const FMidiPattern* MidiPattern, FImageData& Data, FColor NoteColor);
	void GenerateWaveformRange(FImageData& ImageData, const TArray<TArray64<float>>& SampleBuffer, const int32 Channels, int64 FullFrameCount, TRange<int32> FrameRange);
	TArray<float> GenerateWaveformData(int32 Width, const TArray<TArray64<float>>& SampleBuffer, int64 FullFrameCount, TRange<uint32> FrameRange);
}