﻿#pragma once
#include "Pattern.h"

class FSampler;

class FSamplePattern : public FPattern
{
public:
	FSamplePattern(FSampler* InSampler);
	virtual ~FSamplePattern() override;

	virtual void Process(AudioFrame PatternPos, uint32 InLength) override;

	virtual void Reset() override;

	FSampler* GetSampler() const { return Sampler; }

	virtual AudioFrame GetLength() override;
private:
	FSampler* Sampler;
};
