// Copyright Epic Games, Inc. All Rights Reserved.

using System.IO;
using UnrealBuildTool;


public class VST : ModuleRules
{
	public VST(ReadOnlyTargetRules Target) : base(Target)
	{
		Type = ModuleType.External;
		PublicIncludePaths.Add(ModuleDirectory);

		if (Target.Platform == UnrealTargetPlatform.Mac)
		{
			PrivateDefinitions.AddRange(new []
			{
				"TARGET_API_MAC_CARBON",
			});
		}
		PublicDefinitions.AddRange(new []
		{
			"_CRT_SECURE_NO_WARNINGS"
		});
	}
}
